notifications
POST /v1/notification-connections/{connection_id}/verify
Send a real test message to a destination.
Doğrulama
API açarını bearer token kimi göndərin. Bu səhifə spresifikasiyada xüsusi icazə tələb etmir, buna görə də açarınıza ehtiyac duyduğu minimum səviyyədə icazə verin və güman etmək əvəzinə cavabı yoxlayın.
Təşkilatınızın identifikatorunun yerləşdiyi yer
Bu son nöqtə sorğu parametri kimi org_id qəbul edir. Onu buraxın və sorğu bütün kirayə alt ağacınızı əhatə etsin; sorğunu bir təşkilatla məhdudlaşdırmaq üçün onu göndərin.
Təşkilatınızın identifikatoru idarə panelinizdəki API açarları ekranında, açarın özünün yanında yerləşir. Bu, etdiyiniz hər bir sorğuda eyni identifikatordur.
Sınaqdan keçir
Bucaqlı mötərizələrdə olan hór şeyi öz qiymətlərinizlə, açar yertutucusunu isə idarə panelinizdən bir açarla əvəz edin.
curl -X POST https://api.zinndigital.com/v1/notification-connections/{connection_id}/verify \
-H "Authorization: Bearer zdk_live_…"Sistemə daxil olmusunuz? İdarə panelinizdəki API konsolu real təşkilatınızın identifikatorunu və öz açarınızı avtomatik doldurur, sorğunu canlı API-yə qarşı icra edir ki, siz faktiki cavabı görə biləsiniz. Bu son nöqtəni API konsolunda açın
Təfərrüatlar
Sends an actual message and records what happened. It does not check that the destination looks plausible; nothing may be routed to a connection until this has succeeded.
Parametrlər
| Ad | Tip | Tələb olunur | Nədir |
|---|---|---|---|
connection_id (path) | string | Bəli | — |
org_id (query) | string | Xeyr | The organization to act on. Omitted resolves to your own ONLY when you belong to exactly one organisation; a principal in more than one must name it, or the call is refused `422… |
Cavab
| Ad | Tip | Tələb olunur | Nədir |
|---|---|---|---|
verified | boolean | Xeyr | — |
awaiting_confirmation | boolean | Xeyr | An e-mail destination has been sent its confirmation link and is waiting for the recipient to click it. Not verified, and not a failure. |
unknown | boolean | Xeyr | ⛔⛔ We could not CHECK - which is not the same as *it failed*, and until W39-AM this response could not say the difference. Both were `verified: false`, so a credential-store bli… |
error | string | Xeyr | Safe to display - never contains a credential. |